aboutsummaryrefslogtreecommitdiffstats
path: root/main/libvpx/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-06-17 12:16:09 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-06-17 12:17:10 +0000
commit5e9ec9194376d0f0d2b440d23a8b86cd9d17652e (patch)
treecbbbbdde16dd9186dd1da228aa98ac24f754e865 /main/libvpx/APKBUILD
parent6797087d494f8707be1236bb1e420e60af35b903 (diff)
downloadaports-5e9ec9194376d0f0d2b440d23a8b86cd9d17652e.tar.gz
aports-5e9ec9194376d0f0d2b440d23a8b86cd9d17652e.tar.bz2
aports-5e9ec9194376d0f0d2b440d23a8b86cd9d17652e.tar.xz
main/libvpx: new aport
Library for the vp8 codec http://www.webmproject.org/
Diffstat (limited to 'main/libvpx/APKBUILD')
-rw-r--r--main/libvpx/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/main/libvpx/APKBUILD b/main/libvpx/APKBUILD
new file mode 100644
index 0000000000..e5514282e9
--- /dev/null
+++ b/main/libvpx/APKBUILD
@@ -0,0 +1,42 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libvpx
+_ver=0.9.0
+_git=100617
+pkgver=0.9.0_git$_git
+pkgrel=0
+pkgdesc="Library for the vp8 codec"
+url="http://www.webmproject.org/"
+license="GPL"
+depends=
+makedepends="coreutils yasm"
+install=
+subpackages="$pkgname-dev"
+source="http://webm.googlecode.com/files/libvpx-$_ver.tar.bz2
+ git100617.patch"
+
+_builddir="$srcdir"/$pkgname-$_ver
+
+prepare() {
+ cd "$_builddir"
+ patch -p1 -i "$srcdir"/git100617.patch
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --enable-pic \
+ --enable-libs \
+ --enable-runtime-cpu-detect \
+ --enable-vp8 \
+ --disable-install-srcs \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DIST_DIR="$pkgdir"/usr install
+}
+
+md5sums="9eb8e818d2f3263623c258fe66924082 libvpx-0.9.0.tar.bz2
+4339d51cc3b95ce5b577f4a84c7b4d2c git100617.patch"